textures/Weed/white:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/Dachziegel/BeveledShingles:q3map
{
	surfaceparm nodamage
}

textures/Fliesen/floor1:q3map
{
	surfaceparm nodamage
}

textures/Weed/glass:q3map
{
	surfaceparm nodamage
}

textures/weed/weed
{
	qer_editorimage textures/weed/weed.tga
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	
	{
		map textures/weed/weed.tga
		AlphaFunc GE128
		depthWrite
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//textures/Tapete/wallp013
//{
//	qer_editorimage textures/Tapete/wallp013.jpg
//	surfaceparm trans
//	surfaceparm nopicmip
//	surfaceparm noimpact
//	surfaceparm lava
//	surfaceparm nolightmap
//	q3map_lightRGB 1 0.3 0.000000
//	cull disable
//	{
//		map textures/Tapete/wallp013.jpg
//		tcMod turb 0 0 0 0
//		tcmod scroll 0 -.09
//	}
//}


//******************************************
//WeeD Sky ******************************
//******************************************

textures/runy5/kingrad
{
	qer_editorimage textures/runy5/kingrad.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sunExt 217 229 232 450 130 55 3 16
	q3map_sunExt 217 229 232 350 130 55 3 16
    	q3map_lightRGB 217 229 232
	q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
    	q3map_backsplash 0 0

      skyparms env/kingpin/kingpinsky - -

 	{	map env/weed_sky/weedclouds.jpg
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
}

////////////////////////////////////////////////////

textures/Weed/H
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	
	{
		map textures/Weed/H.tga
		AlphaFunc GE128
		depthWrite
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

///////////////////////////////////////
///GLASS///
///////////////////////////////////////

textures/Weed/glass
{
	qer_editorimage textures/Weed/glass.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm glass
	cull disable
	{
		map textures/Weed/kasfx.tga
		tcgen environment
		blendFunc gl_one gl_one
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc gl_zero gl_one
		rgbGen identity
	}
}

textures/Weed/glass1
{
	qer_editorimage textures/Weed/glass1.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm glass
	cull disable
	{
		map textures/Weed/kasfx.tga
		tcgen environment
		blendFunc gl_one gl_one
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

///////////////////////////////////////
///LIGHTS///
///////////////////////////////////////

textures/Weed/weed_lamp_lang
{
	qer_editorimage textures/Weed/weed_lamp1.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Weed/weed_lamp1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/Weed/weed_lamp1_b.tga
		blendfunc GL_ONE GL_ONE
	}
}

///////////////////////////////////////
///LADDER///
///////////////////////////////////////

textures/ladder/ladderclip
{
	qer_editorimage textures/ladder/ladderclip.tga
        qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/Ladder/fs_ladder03
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	
	{
		map textures/Ladder/fs_ladder03.tga
		AlphaFunc GE128
		depthWrite
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}